Name:           plexus-digest
Version:        1.1
Release:        %mkrel 22
Group:          Development/Java
Epoch:          0
Summary:        Plexus Digest / Hashcode Components
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-digest
BuildArch:      noarch

# svn export http://svn.codehaus.org/plexus/plexus-components/tags/plexus-digest-1.1/ plexus-digest/
# tar czf plexus-digest-1.1-src.tar.gz plexus-digest/
Source0:        %{name}-%{version}-src.tar.gz

Patch0:         %{name}-migration-to-component-metadata.patch
Patch1:         %{name}-fix-test-dependencies.patch
Patch2:         0001-Do-not-use-algorithm-name-as-regular-expression.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)


%description
The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. Plexus also includes an application server which
is like a J2EE application server, without all the baggage.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%mvn_file  : plexus/digest
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc




%changelog
* Mon May 08 2017 neoclust <neoclust> 0:1.1-22.mga6
+ Revision: 1099624
- Regenerate build-requires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0:1.1-20.mga6
+ Revision: 977764
- First rebuild of the java stack
- sync package plexus-digest with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:1.1-16.mga5
+ Revision: 740064
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 dmorgan <dmorgan> 0:1.1-14.mga5
+ Revision: 636208
- Do not use algorithm name as regular expression
- Resolves: rhbz#959454

* Tue Dec 24 2013 dmorgan <dmorgan> 0:1.1-13.mga4
+ Revision: 560521
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 0:1.1-11.mga4
+ Revision: 453643
- Remove unnecessary BR on maven-doxia and maven-doxia-sitetools

* Sun Jan 13 2013 umeabot <umeabot> 0:1.1-10.mga3
+ Revision: 377896
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Clean spec file

* Sat Dec 10 2011 dmorgan <dmorgan> 0:1.1-7.mga2
+ Revision: 179871
- Use new add_maven_depmap macro

* Sat Dec 10 2011 dmorgan <dmorgan> 0:1.1-6.mga2
+ Revision: 179860
- Migration to plexus-containers-component-metadata
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 0:1.1-4.mga1
+ Revision: 93021
- Rebuild after bootstrapping
- imported package plexus-digest


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.1-2
- Drop ant build.
- Adapt to new guidelines.

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.1-1
- Update to upstream 1.1.

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-10
- Drop not needed depmap.
- Build with maven.

* Fri Aug 21 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.0-9
- Fix License, formatting and comments.

* Sun May 17 2009 Fernando Nasser <fnasser@redhat.com> 0:1.0-8
- Fix license

* Tue Apr 30 2009 Yong Yang <yyang@redhat.com> 1.0-7
- Rebuild with new maven2 2.0.8 built in non-bootstrap mode

* Tue Apr 30 2009 Yong Yang <yyang@redhat.com> 1.0-6
- force to BR plexus-cdc alpha 10
- rebuild without maven

* Tue Apr 30 2009 Yong Yang <yyang@redhat.com> 1.0-5
- Add BRs maven-doxia*, qdox
- Enable jpp-depmap
- Rebuild with new maven2 2.0.8 built in non-bootstrap mode
- ignore test failure

* Tue Mar 17 2009 Yong Yang <yyang@redhat.com> 1.0-4
- rebuild with new maven2 2.0.8 built in bootstrap mode

* Thu Feb 05 2009 Yong Yang <yyang@redhat.com> 1.0-3
- Fix release tag

* Wed Jan 14 2009 Yong Yang <yyang@redhat.com> 1.0-2jpp.1
- Import from dbhole's maven 2.0.8 packages, initial building

* Mon Jan 07 2008 Deepak Bhole <dbhole@redhat.com> 1.0-1jpp.1
- Import from JPackage
- Update per Fedora spec

* Wed Nov 14 2007 Ralph Apel <r.apel @ r-apel.de> - 0:1.0-1jpp
- Initial build

